package lightcontainer.protocol.rules;

import lightcontainer.protocol.ProtocolReader;

public class HelloRule extends ProtocolReader {
    private static final  String PATTERN = "^HELLO ([A-Za-z0-9]{5,20}) ([0-9]{1,5})\r\n$";

    public HelloRule() {
        super(PATTERN);
    }


    @Override
    protected void onExecuted(String... data) {
        String domain = data[0];
        String port = data[1];

        System.out.printf("Règle Hello avec domain=%s et port=%s", domain, port);
    }

}
